using System;
using System.Collections.Generic;
using System.Data.Entity.ModelConfiguration;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace GreenTree.Nachtragsmanagement.Data.Mapping.Appendix
{
    public class CategoryValueMap : EntityTypeConfiguration<Core.Domain.Appendix.CategoryValue>
    {
        public CategoryValueMap()
        {
            ToTable("CategoryValue");

            HasKey(f => f.Id);

            Property(f => f.Value);

            HasOptional(d => d.Category)
                .WithMany()
                .HasForeignKey(d => d.CategoryId);
        }
    }
}
